# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data
Class Content.ChildHandlerInfo

    java.lang.Object
      com.google.gdata.data.Content.ChildHandlerInfo

Enclosing class:
  Content

    public static class Content.ChildHandlerInfo

extends java.lang.Object

Return type for `Content.getChildHandler(ExtensionProfile, Attributes)` contains an element handler and a content element. This is mainly because Content is not actually an ExtensionPoint so things are handled manually.

Field Summary
`Content` `content`
`XmlParser.ElementHandler` `handler`

Constructor Summary
`Content.ChildHandlerInfo()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### handler

    public XmlParser.ElementHandler handler

### content

    public Content content

Constructor Detail

### Content.ChildHandlerInfo

    public Content.ChildHandlerInfo()